-- vim: expandtab:shiftwidth=2:tabstop=2:softtabstop=2:textwidth=80

-- Only allow symbols available in all Lua versions
std = "luajit"

-- Get rid of "unused argument self"-warnings
self = false

-- This file itself
files[".luacheckrc"].ignore = {"111", "112", "131"}

-- Rerun tests only if their modification time changed.
cache = false

ignore = {
  "212", -- Unused argument, In the case of callback function, _arg_name is easier to understand than _, so this option is set to off.
  "631", -- max_line_length, vscode pkg URL is too long
}

-- Global objects defined by the C code
globals = {
  "vim",
  "use"
}
